Bug 863222 - package /etc/xdg/autostart files as %config
package /etc/xdg/autostart files as %config
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: zeitgeist (Show other bugs)
20
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1130883
  Show dependency treegraph
 
Reported: 2012-10-04 14:04 EDT by Elliott Forney
Modified: 2014-08-18 05:18 EDT (History)
5 users (show)

See Also:
Fixed In Version: zeitgeist-0.9.14-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-15 20:34:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elliott Forney 2012-10-04 14:04:57 EDT
Description of problem:

/etc/xdg/autostart/zeitgeist-datahub.desktop is currently a regular file in rpm .spec

If we modify this file in order to achieve better defaults for our users, it will get overwritten with the next update of zeitgeist-datahub without warning.

Version-Release number of selected component (if applicable):

zeitgeist-datahub-0.7.0-4.fc17.x86_64

How reproducible:

Always.

Steps to Reproduce:
1.  Modify /etc/xdg/autostart/zeitgeist-datahub.desktop
2.  Re-install zeitgeist-datahub
  
Actual results:

File is overwritten.

Expected results:

Configuration should be saved.

Additional info:

adding %config(noreplace) in .spec file will allow users to disable zeitgeist-datahub by default.
Comment 1 Fedora End Of Life 2013-07-03 17:46:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Elliott Forney 2013-07-03 19:41:28 EDT
This problem is still present in F18.  In order for zeitgeist to be disabled globally by default, /etc/xdg/autostart/zeitgeist*.desktop need to be listed as %config(noreplace) in the rpm .spec file.

The only other option currently available is to uninstall zeitgeist and in my experience it is bad to rely on this because of potential (future?) dependencies.

Files in /etc/xdg/autostart should always be considered config files and not overwritten with updates.
Comment 3 Fedora End Of Life 2013-12-21 04:02:28 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Elliott Forney 2014-01-03 18:02:06 EST
Still present in F19 and F20.
Comment 5 Elliott Forney 2014-01-03 18:04:05 EST
Changed component, looks like zeitgeist and zeitgeist-datahub were merged in F20.
Comment 6 Fedora Admin XMLRPC Client 2014-07-26 13:14:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2014-07-26 23:52:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Christopher Meng 2014-08-08 04:16:46 EDT
desktop file should neither be marked as %config, nor noreplace even.
Comment 9 Elliott Forney 2014-08-11 18:05:26 EDT
Christopher: I am curious what your reasoning is behind this decision.  Do you understand the concern here?  It is currently not possible to change the system-wide default status of this service without the change being "blown away" by updates.
Comment 10 Fedora Update System 2014-08-12 00:33:48 EDT
zeitgeist-0.9.14-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zeitgeist-0.9.14-3.fc20
Comment 11 Fedora Update System 2014-08-14 22:49:52 EDT
Package zeitgeist-0.9.14-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zeitgeist-0.9.14-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9383/zeitgeist-0.9.14-3.fc20
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2014-08-15 20:34:31 EDT
zeitgeist-0.9.14-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fabrice Bellet 2014-08-17 05:22:21 EDT
Hi!

With this update, some apps (gnome-contacts, empathy) crash and fail to restart with this error message : g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.
Comment 14 Fabrice Bellet 2014-08-17 07:00:23 EDT
I forgot to tell that I'm running F-20 with updates-testing enabled.
Comment 15 Soeren Grunewald 2014-08-18 05:17:24 EDT
It seems this is related to #1130883 and #1079516.

Note You need to log in before you can comment on or make changes to this bug.